<template>
  <div :id="hintsId" class="ui-form-hints">
    <p
      class="hints not-prose m-0 flex flex-col text-sm text-gray-600 empty:hidden lg:text-base xl:text-lg"
    >
      <span
        v-for="(hint, index) of (Array.isArray(hints) ? hints : [hints]).filter(
          Boolean,
        )"
        :key="index"
      >
        {{ hint
        }}<span
          v-if="![',', '.', '!'].includes(hint[hint.length - 1])"
          class="sr-only"
          >.</span
        >
      </span>
    </p>
  </div>
</template>

<script lang="ts" setup>
import { PropType } from 'vue'

defineOptions({
  name: 'UiFormHints',
})

defineProps({
  hintsId: {
    type: String,
    default: '',
  },
  hints: {
    type: [Array, String] as PropType<string[] | string>,
    default: () => [],
    validate: (hints: [] | string) =>
      Array.isArray(hints)
        ? hints.every((item) => typeof item === 'string')
        : typeof hints === 'string',
  },
})
</script>
